OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.TransformFeedback3

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTransformFeedback3 :: MonadIO m => m Bool
- gl_ARB_transform_feedback3 :: Bool
- pattern GL_MAX_TRANSFORM_FEEDBACK_BUFFERS :: GLenum
- pattern GL_MAX_VERTEX_STREAMS :: GLenum
- glBeginQueryIndexed :: MonadIO m => GLenum -> GLuint -> GLuint -> m ()
- glDrawTransformFeedbackStream :: MonadIO m => GLenum -> GLuint -> GLuint -> m ()
- glEndQueryIndexed :: MonadIO m => GLenum -> GLuint -> m ()
- glGetQueryIndexediv :: MonadIO m => GLenum -> GLuint -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetARBTransformFeedback3 :: MonadIO m => m Bool Source #

Is the ARB_transform_feedback3 extension supported?

gl_ARB_transform_feedback3 :: Bool Source #

Is the ARB_transform_feedback3 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTransformFeedback3` in those cases instead.

# Enums

pattern GL_MAX_TRANSFORM_FEEDBACK_BUFFERS :: GLenum Source #

pattern GL_MAX_VERTEX_STREAMS :: GLenum Source #

# Functions

glBeginQueryIndexed Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> GLuint | `index`.
-> GLuint | `id`.
-> m () |

Manual page for OpenGL 4.x.

glDrawTransformFeedbackStream Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `id`.
-> GLuint | `stream`.
-> m () |

Manual page for OpenGL 4.x.

glEndQueryIndexed Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> GLuint | `index`.
-> m () |

Manual page for OpenGL 4.x.

glGetQueryIndexediv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> GLuint | `index`.
-> GLenum | `pname` of type QueryParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.